Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.structure
Class GroupNode

    java.lang.Object
      org.apache.slide.structure.ObjectNode
          org.apache.slide.structure.GroupNode

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class GroupNode
extends ObjectNode

GroupNode class

Version:
  $Revision: 1.5 $
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.slide.structure.ObjectNode
`ObjectNode.Binding, ObjectNode.BindingList, ObjectNode.ParentBinding, ObjectNode.ParentBindingList`

Field Summary

Fields inherited from class org.apache.slide.structure.ObjectNode
`uri`

Constructor Summary
`GroupNode()` Constructor.
`GroupNode(java.lang.String uri)` Default constructor.
`GroupNode(java.lang.String uri, java.util.Vector children, java.util.Vector links)` Default constructor.

Methods inherited from class org.apache.slide.structure.ObjectNode
`addBinding, addChild, addLink, addParentBinding, cloneObject, copyObject, enumerateBindings, enumerateChildren, enumerateLinks, enumerateParentBindings, equals, getBindingUuri, getChildren, getPath, getUpdatedBindings, getUri, getUuri, hasBinding, hasBinding, hasChild, hasChild, hasChildren, hashCode, hasLinks, hasParentBinding, numberOfParentBindings, removeChild, removeLink, resetUpdatedBindings, setUri, setUuri, toString, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroupNode

    public GroupNode()

  Constructor.

### GroupNode

    public GroupNode(java.lang.String uri)

  Default constructor.

### GroupNode

    public GroupNode(java.lang.String uri,
                     java.util.Vector children,
                     java.util.Vector links)

  Default constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD